<!DOCTYPE html>
<html>
<head>
<meta charset='utf-8' />
<link href='fullcalendar.css' rel='stylesheet' />
<link href='fullcalendar.print.css' rel='stylesheet' media='print' />
<script src='lib/moment.min.js'></script>
<script src='fullcalendar.min.js'></script>

<?php include 'calendar-includes.php';
// Authors: Chris Chaffin & Jonathan Carelli
// Calendar Page

//call this to check if anyone is logged in.
		session_start();
		if(!isset($_SESSION['user'])) {
			echo 'Error: not logged in. Log in <a href="login_form.php">here</a>.';
		}
	
		// //call getMedicineDates to retrieve an array of the current user's med dates
		$username = $_SESSION['user'];
		// = getMedicineDates($username); 
		$appt_dates = getAppointmentDates($username);
		$get_json = getJson($username); 
		 
?>

<script>
	
	// Get the JSON
	$(document).ready(function() {
	
	$.extend({
    	getValues: function(url) {
        	var result = null;
        	$.ajax({
           		url: url,
            	type: 'get',
            	dataType: 'json',
            	async: false,
            	success: function(data) {
                	result = data;
           		}
        	});
       		return result;
    	}
	});

	events = $.getValues("json/events.json");
	
	// Display the Calendar
	$('#calendar').fullCalendar({
		header: {
			left: 'prev,next today',
			center: 'title', 
			right: 'month,agendaWeek,agendaDay'
		},
		editable: true,
		eventLimit: true, // allow "more" link when too many events
		events: events,
		loading: function(bool) {
			$('#loading').toggle(bool);
		}
	});
		
	});

</script>
<style>

	body {
		margin: 0;
		padding: 0;
		font-family: "Lucida Grande",Helvetica,Arial,Verdana,sans-serif;
		font-size: 14px;
	}

	#script-warning {
		display: none;
		background: #eee;
		border-bottom: 1px solid #ddd;
		padding: 0 10px;
		line-height: 40px;
		text-align: center;
		font-weight: bold;
		font-size: 12px;
		color: red;
	}

	#loading {
		display: none;
		position: absolute;
		top: 10px;
		right: 10px;
	}

	#calendar {
		max-width: 900px;
		margin: 40px auto;
		padding: 0 10px;
	}

</style>
</head>
<body>

	<div id='script-warning'>
		<code>php/get-events.php</code> must be running!
	</div>

	<div id='loading'>loading...</div>

	<div id='calendar'></div>

</body>
</html>
