<!--
	Author: Ethan Pitts
	Date: 9/16/2014
	Last Edited: 11/13/2014

	This is the main .php file where all functional user modules are loaded.
	This file also contains the tabs used for navigation.
-->

<!DOCTYPE html>

<html>
<head>
	<title>Health Monitor</title>
	<script src="//ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
	<script src="scripts/main.js"></script>

	<link rel="stylesheet" type="text/css" href="styles/normalize.css">
	<link rel="stylesheet" type="text/css" href="styles/main.css">
</head>
<body>

	<?php

	session_start();
	if(!isset($_SESSION['user'])) {
		  echo 'You are not logged in!<br>';
		  echo 'You can log on <a href="index.php">here</a>.';
		  die;
	}

	// This sets up a function that can be used in the main.js file to 
	// determine if the current user is a doctor or a patient.
	if($_SESSION['isDoctor'] == "Y")
		echo '<script>phpIsDoctor = function() { return true; }</script>';
	else
		echo '<script>phpIsDoctor = function() { return false; }</script>';

	?>

	<div class="main-page">
		<!-- Doctor's tabs -->
		<div class="menu-bar doctor-menu hidden">
			<ul>
				<li class="menu-item item1 item-messages">
					<img src="images/menu-messages.png"></img>
				</li>
				<li class="menu-item item2 item-schedule">
					<img src="images/menu-schedule.png"></img>
				</li>
				<li class="menu-item item3 item-settings">
					<img src="images/menu-settings.png"></img>
				</li>
			</ul>
		</div>
		
		<!-- Patient's tabs -->
		<div class="menu-bar patient-menu hidden">
			<ul>
				<li class="menu-item item1 item-messages">
					<img src="images/menu-messages.png"></img>
				</li>
				<li class="menu-item item2 item-calendar">
					<img src="images/menu-calendar.png"></img>
				</li>
				<li class="menu-item item3 item-settings">
					<img src="images/menu-settings.png"></img>
				</li>
			</ul>
		</div>
		
		<!-- This is where the modules are loaded. -->
		<div id="subpage-viewer"></div>
	</div>

	<a href="logout.php">Logout</a>

</body>
</html>